{
    "$schema": "http://json-schema.org/draft-07/schema#",
    "type": "object",
    "required": ["imageFilename","imageCredits","displayName","dayImageList","nightImageList"],
    "properties": {
        "imageFilename": {"type": "string"},
        "imageCredits": {"type": "string"},
        "displayName": {"type": "string"},
        "dayHighlight": {"type": "integer", "minimum": 0},
        "nightHighlight": {"type": "integer", "minimum": 0},
        "sunriseImageList": {
            "type": "array",
            "minItems" : 0,
            "uniqueItems" : true,
            "items": {"type": "integer", "minimum": 0}
        },
        "dayImageList": {
            "type": "array",
            "minItems" : 0,
            "uniqueItems" : true,
            "items": {"type": "integer", "minimum": 0}
        },
        "sunsetImageList": {
            "type": "array",
            "minItems" : 0,
            "uniqueItems" : true,
            "items": {"type": "integer", "minimum": 0}
        },
        "nightImageList": {
            "type": "array",
            "minItems" : 0,
            "uniqueItems" : true,
            "items": {"type": "integer", "minimum": 0}
        }
    },
    "errorMessage": {
        "required": {
            "imageFilename":"The ‘imageFilename’ property is missing. Consider adding it.",
            "imageCredits":"The ‘imageCredits’ property is missing. Consider adding it.",
            "displayName":"The ‘displayName’ property is missing. Consider adding it.",
            "dayImageList":"The ‘dayImageList’ property is missing. Consider adding it.",
            "nightImageList":"The ‘nightImageList’ property is missing. Consider adding it."
        },
        "properties": {
            "imageFilename": "The ‘imageFilename’ property must be of type ‘string’ and reflect a glob of an image, i.e.: ‘myWallpaper_*.jpg’.",
            "imageCredits": "The ‘imageCredits’ property must be of type ‘string’.",
            "displayName": "The ‘displayName’ property must be of type ‘string’.",
            "dayHighlight": "The ‘dayHighlight’ property must be a counting number referencing an image, i.e.: ‘5’ in ‘myWallpaper_5.jpg’.",
            "nightHighlight": "The ‘nightHighlight’ property must be a counting number referencing an image, i.e.: ‘13’ in ‘myWallpaper_13.jpg’.",
            "sunriseImageList": "The ‘sunriseImageList’ property must be a list of counting numbers referencing images, i.e.: ‘[1, 2, 3, 4].’",
            "dayImageList": "The ‘dayImageList’ property must be a list of counting numbers referencing images, i.e.: ‘[1, 2, 3, 4]’.",
            "sunsetImageList": "The ‘sunsetImageList’ property must be a list of counting numbers referencing images, i.e.: ‘[1, 2, 3, 4]’.",
            "nightImageList": "The ‘nightImageList’ property must be a list of counting numbers referencing images, i.e.: ‘[1, 2, 3, 4]’."
        }
    }
}